APIAgent
List agent recommendations
List the changes the agent recommends from your support conversations, the same cards as the Agent page. Cursor-paginated.
GET
/agent/recommendationscurl -X GET "https://productlane.com/api/v2/agent/recommendations" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
limitintegerquerycursorstringquerystatusenum<string>queryexpired: closed by the agent after its conversations went quiet.
One of:openaccepteddeclinedexpired
Response
application/json
Successful response
dataobject[]requiredpageobjectrequired
{
"data": [
{
"id": "string",
"type": "docs",
"status": "open",
"title": "string",
"summary": "string",
"conversation_count": 0,
"impact_per_month": 0,
"thread_ids": [
"string"
],
"examples": [
{
"thread_id": "string",
"question": "string"
}
],
"guidance": {
"before": "string",
"after": "string"
},
"docs_draft_ids": [
"string"
],
"connector": {
"need": "string",
"suggestion": "string",
"system": "string"
},
"linear_issue": {
"id": "string",
"identifier": "string",
"url": "string"
},
"decline_reason": "string",
"created_at": "string",
"updated_at": "string"
}
],
"page": {
"cursor": "string",
"has_more": true,
"limit": 0
}
}